/* OpenDoors 6.00
 * (C) Copyright 1991 - 1996 by Brian Pirie. All Rights Reserved.
 *
 *
 *        File: ODFrame.h
 *
 * Description: Defines the public interface to the OpenDoors frame window.
 *              This file is only applicable when building the Win32 version
 *              of OpenDoors.
 *
 *   Revisions: Date          Ver   Who  Change
 *              ---------------------------------------------------------------
 *              Aug 20, 1995  5.10  BP   Created.
 *              Jan 20, 1996  5.10  BP   Made ODFrameCenter...() shared.
 *              Feb 17, 1996  5.10  BP   Add ...Accelerator() return value.
 *              Feb 19, 1996  6.00  BP   Changed version number to 6.00.
 */

#ifndef _INC_ODFRAME
#define _INC_ODFRAME

#include "ODPlat.h"
#include "ODGen.h"

#ifdef ODPLAT_WIN32

/* Public frame window functions. */
tODResult ODFrameStart(HANDLE hInstance, tODThreadHandle *phFrameThread);
INT ODFrameGetUsedClientAtTop(HWND hwndFrame);
INT ODFrameGetUsedClientAtBottom(HWND hwndFrame);
BOOL ODFrameTranslateAccelerator(HWND hwndFrame, LPMSG pMsg);
void ODFrameUpdateCmdUI(void);
void ODFrameUpdateTimeDisplay(void);
void ODFrameUpdateWantChat(void);
void ODFrameCenterWindowInParent(HWND hwndChild);

/* User defined messages that are handled by the frame window. */
#define WM_SHOW_MESSAGE             (WM_USER + 1)
#define WM_REMOVE_MESSAGE           (WM_USER + 2)

#endif /* ODPLAT_WIN32 */

#endif /* _INC_ODFRAME */
